#36 Error Message: Invalid default value for 'seedbox'

closed-fixed
Joe Roberts
SQL Errors (7)
9
2008-10-15
2008-10-14
wildboy211
No

Im getting this error on setup step 4 (phpMyBitTorrentV2.0Beta4):
Error executing SQL Query CREATE TABLE `torrent_users` ( `id` int(11) NOT NULL auto_increment, `username` varchar(25) NOT NULL default '', `clean_username` varchar(25) character set utf8 collate utf8_bin NOT NULL default '', `name` varchar(50) default NULL, `email` varchar(255) NOT NULL default '', `regdate` datetime NOT NULL default '0000-00-00 00:00:00', `password` varchar(40) NOT NULL default '', `theme` varchar(255) default NULL, `language` varchar(15) default NULL, `avatar` varchar(255) NOT NULL default 'blank.gif', `accept_mail` enum('yes','no') NOT NULL default 'no', `pm_notify` enum('true','false') NOT NULL default 'true', `aim` varchar(255) default NULL, `icq` varchar(10) default NULL, `jabber` varchar(255) default NULL, `msn` varchar(255) default NULL, `skype` varchar(255) default NULL, `yahoo` varchar(255) default NULL, `level` enum('user','premium','moderator','admin') NOT NULL default 'user', `uploaded` bigint(32) unsigned NOT NULL default '0', `downloaded` bigint(32) unsigned NOT NULL default '0', `active` tinyint(1) default '0', `ban` int(1) unsigned NOT NULL default '0', `act_key` varchar(32) default NULL, `passkey` varchar(32) default NULL, `newpasswd` varchar(40) default NULL, `banreason` varchar(255) default NULL, `lastip` int(10) unsigned NOT NULL default '0', `lasthost` varchar(255) NOT NULL default '', `lastlogin` datetime NOT NULL default '0000-00-00 00:00:00', `rem` enum('yes','no') NOT NULL default 'no', `modcomment` varchar(225) NOT NULL default '', `warned` int(1) unsigned NOT NULL default '0', `warn_kapta` int(11) NOT NULL default '0', `warn_hossz` int(11) NOT NULL default '0', `invited_by` int(10) NOT NULL default '0', `invitees` varchar(100) NOT NULL default '', `invites` smallint(5) NOT NULL default '0', `country` int(10) NOT NULL default '0', `seedbonus` decimal(10,1) NOT NULL default '0.0', `seedbox` int(10) unsigned NOT NULL default '0.0.0.0', `tzoffset` smallint(4) NOT NULL default '0', `can_shout` enum('true','false') character set utf8 collate utf8_bin NOT NULL default 'true', `Show_online` enum('true','false') character set utf8 collate utf8_bin NOT NULL default 'true', `invitedate` datetime NOT NULL default '0000-00-00 00:00:00', `donated` int(5) unsigned NOT NULL default '0', `dondate` datetime NOT NULL default '0000-00-00 00:00:00', PRIMARY KEY (`id`), UNIQUE KEY `username` (`username`), UNIQUE KEY `email` (`email`), UNIQUE KEY `passkey` (`passkey`), KEY `lastip` (`lastip`), KEY `lasthost` (`lasthost`), KEY `date` (`regdate`) ) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0;
Error ID: 1067
Error Message: Invalid default value for 'seedbox'

Discussion

  • Joe Roberts
    Joe Roberts
    2008-10-15

    fix in cvs

     
  • Joe Roberts
    Joe Roberts
    2008-10-15

    The bug you reported has just been fixed.

    The CVS Repository has just been updated. Please use CVS
    Checkout to retrieve all the fixed files. If the problem still persists,
    do not hesistate to contact us again by re-opening this entry.

     
  • Joe Roberts
    Joe Roberts
    2008-10-15

    • priority: 5 --> 9
    • assigned_to: djechelon --> joerobe
    • status: open --> closed-fixed
     
  • Joe Roberts
    Joe Roberts
    2008-10-15

    install-MYSQL

     
    Attachments